GET /api/v3/chargebackWorkflow/{chargebackWorkflowStepId}/digest

Get a digest of all bills by meter for all meters involved in a chargeback workflow step for a given billing period.

GetChargebackWorkflowDigestV3 Permissions: ChargebacksModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
chargebackWorkflowStepId The id of the chargeback workflow step. integer (int32) Required

Query Parameters

Name Description Type Required
billingPeriod The billing period of the digest. integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ChargebackWorkflowDigestResponse
Property Description Type
chargebackWorkflowStep ChargebackWorkflowStepChild
ChargebackWorkflowStepChild properties
Property Description Type
chargebackWorkflow ChargebackWorkflowBase
ChargebackWorkflowBase properties
Property Description Type
chargebackWorkflowId Identifier for the chargeback workflow integer (int32)
chargebackWorkflowInfo Name given to the chargeback workflow string
chargebackWorkflowStepDescription Description for the chargeback workflow step string
chargebackWorkflowStepId Identifier for the chargeback workflow step integer (int32)
chargebackWorkflowStepInfo Name given to the chargeback workflow step string
chargebackWorkflowStepOrder The order for this step within the chargeback workflow integer (int32)
chargebackWorkflowStepType The chargeback type that can be assign to this chargeback workflow step. One of ‘Split’, ‘Calculation’ One of ‘Split’, ‘Calculation’ string
results The list of digest results for the latest task executed in the specified billing period. ChargebackWorkflowDigestChild[]
ChargebackWorkflowDigestChild properties
Property Description Type
currentPeriod BillingPeriodUseCostChild
BillingPeriodUseCostChild properties
Property Description Type
billingPeriod The billing period that the data represents. Will be the current billing period, the same year prior billing period, or the same period prior year billing period. integer (int32)
cost BillingPeriodCostUnitChild
BillingPeriodCostUnitChild properties
Property Description Type
cost The total cost. number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
numberOfBillsInPeriod The number of bills in the current billing period. integer (int32)
numberOfBillsInPeriodFromWorkflowStep The number of bills in the current billing period that were generated by this workflow step. integer (int32)
unitCost The unit cost for the specified billing period. number (double)
use BillingPeriodUseUnitChild
BillingPeriodUseUnitChild properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
use The total common use. number (double)
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
priorPeriod BillingPeriodUseCostDeltaChild
BillingPeriodUseCostDeltaChild properties
Property Description Type
billingPeriod The billing period that the data represents. Will be the current billing period, the same year prior billing period, or the same period prior year billing period. integer (int32)
cost BillingPeriodCostUnitDeltaChild
BillingPeriodCostUnitDeltaChild properties
Property Description Type
cost The total cost. number (double)
delta The change in total cost from the current billing period. number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
use BillingPeriodUseUnitDeltaChild
BillingPeriodUseUnitDeltaChild properties
Property Description Type
delta The change in common use from the current billing period. number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
use The total common use. number (double)
priorYear BillingPeriodUseCostDeltaChild
BillingPeriodUseCostDeltaChild properties
Property Description Type
billingPeriod The billing period that the data represents. Will be the current billing period, the same year prior billing period, or the same period prior year billing period. integer (int32)
cost BillingPeriodCostUnitDeltaChild
BillingPeriodCostUnitDeltaChild properties
Property Description Type
cost The total cost. number (double)
delta The change in total cost from the current billing period. number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
use BillingPeriodUseUnitDeltaChild
BillingPeriodUseUnitDeltaChild properties
Property Description Type
delta The change in common use from the current billing period. number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
use The total common use. number (double)
splits List of billing period summaries for meters that are children of a bill split source meter. This list will be null for calculated source meters. ChargebackWorkflowDigestSplitChild[]
ChargebackWorkflowDigestSplitChild properties
Property Description Type
currentPeriod BillingPeriodUseCostChild
BillingPeriodUseCostChild properties
Property Description Type
billingPeriod The billing period that the data represents. Will be the current billing period, the same year prior billing period, or the same period prior year billing period. integer (int32)
cost BillingPeriodCostUnitChild
BillingPeriodCostUnitChild properties
Property Description Type
cost The total cost. number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
numberOfBillsInPeriod The number of bills in the current billing period. integer (int32)
numberOfBillsInPeriodFromWorkflowStep The number of bills in the current billing period that were generated by this workflow step. integer (int32)
unitCost The unit cost for the specified billing period. number (double)
use BillingPeriodUseUnitChild
BillingPeriodUseUnitChild properties
Property Description Type
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
use The total common use. number (double)
meter MeterChild
MeterChild properties
Property Description Type
active Indicates whether the Meter is Active boolean
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
isCalculatedMeter Indicates whether the meter is a calculated meter boolean
isEsaCalculatedMeter Indicates whether the meter is an ESA calculated meter boolean
isSplitChildMeter Indicates whether the meter is a child of a split boolean
isSplitParentMeter Indicates whether the meter is a parent of a split boolean
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
meterType MeterTypeChild
MeterTypeChild properties
Property Description Type
meterTypeCode string
meterTypeId integer (int32)
meterTypeInfo string
serialNumber The meter’s current serial number string
priorPeriod BillingPeriodUseCostDeltaChild
BillingPeriodUseCostDeltaChild properties
Property Description Type
billingPeriod The billing period that the data represents. Will be the current billing period, the same year prior billing period, or the same period prior year billing period. integer (int32)
cost BillingPeriodCostUnitDeltaChild
BillingPeriodCostUnitDeltaChild properties
Property Description Type
cost The total cost. number (double)
delta The change in total cost from the current billing period. number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
use BillingPeriodUseUnitDeltaChild
BillingPeriodUseUnitDeltaChild properties
Property Description Type
delta The change in common use from the current billing period. number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
use The total common use. number (double)
priorYear BillingPeriodUseCostDeltaChild
BillingPeriodUseCostDeltaChild properties
Property Description Type
billingPeriod The billing period that the data represents. Will be the current billing period, the same year prior billing period, or the same period prior year billing period. integer (int32)
cost BillingPeriodCostUnitDeltaChild
BillingPeriodCostUnitDeltaChild properties
Property Description Type
cost The total cost. number (double)
delta The change in total cost from the current billing period. number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
use BillingPeriodUseUnitDeltaChild
BillingPeriodUseUnitDeltaChild properties
Property Description Type
delta The change in common use from the current billing period. number (double)
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
use The total common use. number (double)
Example Response application/json
{  "chargebackWorkflowStep": {    "chargebackWorkflow": {      "chargebackWorkflowId": 1,      "chargebackWorkflowInfo": "string"
    },    "chargebackWorkflowStepDescription": "string",    "chargebackWorkflowStepId": 1,    "chargebackWorkflowStepInfo": "string",    "chargebackWorkflowStepOrder": 1,    "chargebackWorkflowStepType": "string"
  },  "results": [
    {    "currentPeriod": {      "billingPeriod": 1,      "cost": {},      "numberOfBillsInPeriod": 1,      "numberOfBillsInPeriodFromWorkflowStep": 1,      "unitCost": 1.0,      "use": {}
    },    "meter": {      "active": false,      "commodity": {},      "isCalculatedMeter": false,      "isEsaCalculatedMeter": false,      "isSplitChildMeter": false,      "isSplitParentMeter": false,      "meterCode": "string",      "meterId": 1,      "meterInfo": "string",      "meterType": {},      "serialNumber": "string"
    },    "priorPeriod": {      "billingPeriod": 1,      "cost": {},      "use": {}
    },    "priorYear": {      "billingPeriod": 1,      "cost": {},      "use": {}
    },    "splits": [
      {      "currentPeriod": {},      "meter": {},      "priorPeriod": {},      "priorYear": {}
    }
    ]
  }
  ]
}